LinuxQMISDK: UMTSQoS Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
UMTSQoS Struct Reference

## Data Fields
BYTE | trafficClass
ULONG | maxUplinkBitrate
ULONG | maxDownlinkBitrate
ULONG | grntUplinkBitrate
ULONG | grntDownlinkBitrate
BYTE | qosDeliveryOrder
ULONG | maxSDUSize
BYTE | sduErrorRatio
BYTE | resBerRatio
BYTE | deliveryErrSDU
ULONG | transferDelay
ULONG | trafficPriority

## Detailed Description

This structure contains the UMTS Quality Of Service Information

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Parameters

  trafficClass | 0x00 - Subscribed 0x01 - Conversational 0x02 - Streaming 0x03 - Interactive 0x04 - Background
  maxUplinkBitrate | Maximum uplink bit rate in bits/sec
  maxDownlinkBitrate | Maximum downlink bit rate in bits/sec
  grntUplinkBitrate | Guaranteed uplink bit rate in bits/sec
  grntDownlinkBitrate | Guranteed downlink bit rate in bits/sec
  qosDeliveryOrder | - Qos delivery order 0x00 - Subscribe 0x01 - delivery order on 0x02 - delivery order off
  maxSDUSize | Maximum SDU size
  sduErrorRatio | - SDU error ratio Target value for fraction of SDUs lost or detected as erroneous. 0x00 - Subscribe 0x01 - 1*10^(-2) 0x02 - 7*10^(-3) 0x03 - 1*10^(-3) 0x04 - 1*10^(-4) 0x05 - 1*10^(-5) 0x06 - 1*10^(-6) 0x07 - 1*10^(-1)
  resBerRatio | - Residual bit error ratio Target value for undetected bit error ratio in in the delivered SDUs. 0x00 - Subscribe 0x01 - 5*10^(-2) 0x02 - 1*10^(-2) 0x03 - 5*10^(-3) 0x04 - 4*10^(-3) 0x05 - 1*10^(-3) 0x06 - 1*10^(-4) 0x07 - 1*10^(-5) 0x08 - 1*10^(-6) 0x09 - 1*10^(-8)
  deliveryErrSDU | - Delivery of erroneous SDUs Indicates whether SDUs detected as erroneous shall be delivered or not. 0x00 - Subscribe 0x01 - 5*10^(-2) 0x02 - 1*10^(-2) 0x03 - 5*10^(-3) 0x04 - 4*10^(-3) 0x05 - 1*10^(-3) 0x06 - 1*10^(-4) 0x07 - 1*10^(-5) 0x08 - 1*10^(-6) 0x09 - 1*10^(-8)
  transferDelay | - Transfer delay (ms) Indicates the targeted time between a request to transfer an SDU at one SAP to its delivery at the other SAP in milliseconds.
  trafficPriority | - Transfer handling priority Specifies the relative importance for handling of SDUs that belong to the UMTS bearer, compared to the SDUs of other bearers.

## Field Documentation

BYTE UMTSQoS::deliveryErrSDU

ULONG UMTSQoS::grntDownlinkBitrate

ULONG UMTSQoS::grntUplinkBitrate

ULONG UMTSQoS::maxDownlinkBitrate

ULONG UMTSQoS::maxSDUSize

ULONG UMTSQoS::maxUplinkBitrate

BYTE UMTSQoS::qosDeliveryOrder

BYTE UMTSQoS::resBerRatio

BYTE UMTSQoS::sduErrorRatio

BYTE UMTSQoS::trafficClass

ULONG UMTSQoS::trafficPriority

ULONG UMTSQoS::transferDelay